@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

//Filter
.ye-selsync-attribute-config-filter {
    padding: $selsync__filter--padding;
    margin: $selsync__tree-filter--margin;

    &-popup {
        width: $selsync__filter-popup--width;
        margin-top: $selsync__filter-popup--margin-top;
        margin-left: $selsync__filter-popup--margin-left;
        padding: 0;
    }

    &-popup-item {
        border-top: $selsync__filter-popup-item--border-top;
        padding: $selsync__filter-popup-item--padding;

        &:first-child {
            border-top-width: 0;
        }

        > span,
        > div {
            margin: $selsync__filter-popup-item-content--margin;
        }

        .ye-switch-checkbox.z-checkbox {
            min-height: $selsync__details-checkbox--min-height;
            line-height: $selsync__details-checkbox--line-height;
        }
    }

    &-search {
        width: $selsync__filter-search--width;
        margin-right: $selsync__filter-search--margin-right;
    }


    &-button {
        width: $selsync__filter-popup-button--size;
        height: $selsync__filter-popup-button--size;
        background-color: $selsync__filter-popup-button--bg-color;
        border: $selsync__filter-popup-button--border;
        background-image: $selsync__filter-popup-button--bg-image;
        background-size: $selsync__filter-popup-button--bg-size;
        background-position: $selsync__filter-popup-button--bg-position;
        background-repeat: no-repeat;
        text-indent: $selsync__filter-popup-button--text-indent;
        white-space: $selsync__filter-popup-button--white-space;

        &:hover,
        &:active,
        &:focus{
            background-color: $selsync__filter-popup-button-hover-focus--bg-color;
            background-size: $selsync__filter-popup-button-hover-focus--bg-size;
            background-position: $selsync__filter-popup-button-hover-focus--bg-position;
            box-shadow: none;
            background-repeat: no-repeat;
        }
        &:hover {
            border: $selsync__filter-popup-button-hover--border;
            background-image: $selsync__filter-popup-button-hover--bg-image;
        }
        &:active,
        &:focus {
            border: $selsync__filter-popup-button-focus--border;
            background-image: $selsync__filter-popup-button-focus--bg-image;
        }
    }
}